# $Revision: 1.24 $, $Date: 2004/01/17 20:00:26 $
%define snapdate 20010309
Summary:	Glide runtime for 3Dfx Voodoo4 and Voodoo5 boards
Summary(ko):	3Dfx ε /3 ī Glide Ÿ ̺귯
Summary(pl):	Biblioteki Glide dla kart 3Dfx Voodoo4 i Voodoo5
Name:		Glide_V5-DRI
Version:	3.10.0
Release:	0.%{snapdate}.10
Epoch:		1
License:	3dfx Glide General Public License, 3Dfx Interactive Inc.
Vendor:		3dfx Interactive Inc.
Group:		X11/Libraries
Source0:	cvs://anonymous@cvs.glide.sourceforge.net:/cvsroot/glide/glide3x-%{snapdate}.tar.gz
# Source0-md5:	42a8e093221b2360ec96191ae0e13ce0
Patch0:		glide-ia64.patch
Patch1:		glide-ac-workaround.patch
Patch2:		glide-h3.patch
Patch3:		glide-h5.patch
Patch4:		glide-am16.patch
Patch5:		glide-gcc33.patch
Patch6:		glide-ioctl.patch
Patch7:		glide-morearchs.patch
Icon:		3dfx.gif
URL:		http://glide.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	Glide3-DRI
Obsoletes:	Glide_V3-DRI

%description
This library allows the user to use a 3dfx Interactive Voodoo4 or
Voodoo5 card under Linux with DRI support. The source support DRI or
non-DRI versions of Glide.

%description -l pl
Ta biblioteka pozwala uytkownikowi na uywanie kart 3dfx Interactive
Voodoo4 lub Voodoo5 pod Linuksem z DRI. Ta wersja zawiera wsparcie dla
wersji Glide z DRI i bez DRI.

%package devel
Summary:	Development headers for Glide 3.x
Summary(pl):	Pliki nagwkowe Glide 3.x
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	Glide3-DRI-devel
Obsoletes:	Glide_V3-DRI-devel

%description devel
This package includes the headers files, documentation, and test files
necessary for developing applications that use the 3Dfx Interactive
Voodoo4 or Voodoo5 cards.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe, dokumentacje, oraz pliki tekstowe
wymagane przez aplikacje deweloperskie, ktre uywaj kart 3Dfx
Interactive Voodoo4 lub Voodoo5.

%package static
Summary:	Static Glide 3.x library
Summary(pl):	Statyczne biblioteki Glide 3.x
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	Glide3-DRI-static
Obsoletes:	Glide_V3-DRI-static

%description static
This package includes the static Glide3 library for Voodoo4 or
Voodoo5.

%description static -l pl
Ten pakiet zawiera statyczne biblioteki Glide3 dla Voodoo4 lub
Voodoo5.

%prep
%setup -q -n glide3x-%{snapdate}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake} -i
%configure \
	--enable-fx-dri-build \
	--enable-fx-glide-hw=h5 \
	--enable-fx-debug=no \
%ifarch i586 i686 athlon
	--enable-amd3d
%endif

%{__make} -f makefile.autoconf all \
	GLIDE_DEBUG_GCFLAGS="%{rpmcflags} -fno-expensive-optimizations %{!?debug:-fomit-frame-pointer -ffast-math}" \
	GLIDE_DEBUG_GDEFS="%{!?debug:-DBIG_OPT} %{?debug:-DGDBG_INFO_ON -DGLIDE_DEBUG}" \
	LINK_LIBS="-L/usr/X11R6/%{_lib} -lX11 -lXext -lXxf86dga -lXxf86vm -lm" \
	PREPROCESSOR='cpp -$$ -I.'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/glide3/tests

# something is recompiled - use GCFLAGS too
%{__make} -f makefile.autoconf install \
	GLIDE_DEBUG_GCFLAGS="%{rpmcflags} -fno-expensive-optimizations %{!?debug:-fomit-frame-pointer -ffast-math}" \
	GLIDE_DEBUG_GDEFS="%{!?debug:-DBIG_OPT} %{?debug:-DGDBG_INFO_ON -DGLIDE_DEBUG}" \
	DESTDIR=$RPM_BUILD_ROOT

# used by tdfx_dri.so from XFree86
ln -sf libglide3.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libglide3-v5.so
# used by ???
ln -sf libglide3.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libglide3x_V5.so
ln -sf libglide3.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libglide3x.so

# Install the examples and their source, no binaries
install h5/glide3/tests/makefile.linux $RPM_BUILD_ROOT%{_examplesdir}/glide3/tests/makefile
install h5/glide3/tests/*.3df $RPM_BUILD_ROOT%{_examplesdir}/glide3/tests
install h5/glide3/tests/test??.c $RPM_BUILD_ROOT%{_examplesdir}/glide3/tests
install h5/glide3/tests/tldata.inc $RPM_BUILD_ROOT%{_examplesdir}/glide3/tests
install h5/glide3/tests/tlib.[ch] $RPM_BUILD_ROOT%{_examplesdir}/glide3/tests

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc glide_license.txt
%attr(755,root,root) %{_libdir}/libglide3.so.*.*.*
%attr(755,root,root) %{_libdir}/libglide3-v5.so
%attr(755,root,root) %{_libdir}/libglide3x.so
%attr(755,root,root) %{_libdir}/libglide3x_V5.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglide3.so
%{_libdir}/lib*.la
%{_includedir}/glide3
%{_examplesdir}/glide3

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Glide_V5-DRI.spec,v $
Revision 1.24  2004/01/17 20:00:26  qboosh
- pass -L and cpp for x86_64

Revision 1.23  2004/01/17 19:38:54  qboosh
- added morearchs patch (for ppc/sparc/amd64), release .10

Revision 1.22  2004/01/17 17:24:35  qboosh
- added ioctl patch (needed for Linux 2.6 headers)

Revision 1.21  2003/08/13 14:46:38  ankry
- cosmetics

Revision 1.20  2003/07/17 15:17:13  qboosh
- added gcc33 patch, release .9

Revision 1.19  2003/06/26 12:41:42  qboosh
- added epoch and release to deps

Revision 1.18  2003/06/10 11:46:26  ankry
- added md5

Revision 1.17  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/11/25 14:12:18  ankry
- massive attack: no need for 755 for *.la

Revision 1.15  2002/10/09 13:14:14  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/06/26 13:39:20  kloczek
- relesse *.8.

Revision 1.13  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/05/25 20:15:33  kloczek
- use new %doc infrastructure.

Revision 1.11  2002/05/21 23:12:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/03/25 20:06:40  qboosh
- fix: added libglide3-vX.so symlink (tdfx_dri.so from XFree86 uses it)
  now -devel is not needed to use DRI with tdfx driver
- am16 patch (needed for am 1.6), added -f to automake call
- release 0.snap.7

Revision 1.9  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/27 18:21:38  filon
- enable 3dnow for i[56]86 is back

Revision 1.7  2002/01/26 13:14:05  filon
- athlon updates
- release 6

Revision 1.6  2002/01/18 02:12:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/13 19:05:48  qboosh
- unconditional 3Dnow support for i[56]86 - seems to have good runtime detection
- gzip t*.3df textures in examples (>20MB!)
- release 0.20010309.5

Revision 1.4  2001/10/03 16:45:34  filon
- changed req for main subpkg in static subpkg to devel
- release 4

Revision 1.3  2001/09/27 19:50:46  qboosh
- added AM_PROG_AS for automake 1.5 to ac-workaround patch
- added s/automake -a -c/automake -a -c -i/ (have no idea why deps doesn't work)
- fixed typo in ia64 patch and removed fixing it from h5 patch

Revision 1.2  2001/09/26 08:57:15  qboosh
- release 0.20010309.3: added Obsoletes: Glide_V3-DRI*

Revision 1.1  2001/09/02 11:00:15  qboosh
- new spec: Glide3 DRI compiled for Voodoo4/Voodoo5 boards
  (it seems binary-compatible with Voodoo3/Banshee version)
- Provides: Glide3-DRI{,-devel,-static}

Revision 1.12  2001/08/03 21:50:56  qboosh
- gulp... added asm code fix to h3 and h5 patches - on Linux gc is passed on
  stack, not in edx (funny that edx may contain correct value - depending on
  optimizations)

Revision 1.11  2001/08/02 22:25:15  qboosh
- added -fno-expensive-optimizations as workaround for gcc 2.95.3 bug
  causing SEGV with hw=h5 (hw=h3 probably too - the same bad code)
- release 0.20010309.1

Revision 1.10  2001/07/31 16:46:30  qboosh
- use %%rpmcflags, added _with_3dnow (using AMD 3Dnow! instructions)
- forkaround for new autoconf ([] from [456]86 disappeared)
- fixed build with 3Dnow and for hw=h5
NOTE: SEGV on Voodoo4 when optimizations enabled

Revision 1.9  2001/06/09 09:28:31  misiek
- fix auto* and libtool stuff generation
- fix release field and epoch 1

Revision 1.8  2001/03/18 23:06:47  blues
- few more translations
- some clean-ups in groups file

Revision 1.7  2001/03/08 23:40:02  misiek
20010309 snapshot
